> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tag Groups

> Get tag groups for a scope

## Query Parameters

<ParamField query="scopeId" type="string" required>
  ID of the scope to get tag groups for
</ParamField>

## Response

Returns an array of tag group objects.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.example.com/tag-groups?scopeId=scope_acme' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "tag_group_priority",
      "scopeId": "scope_acme",
      "name": "Priority",
      "key": "priority",
      "description": "Task priority levels",
      "origin": "user",
      "maxAppliedPerTarget": 1,
      "isLocked": false,
      "createdBy": "user-1",
      "createdAt": "2024-01-15T10:30:00Z"
    },
    {
      "id": "tag_group_status",
      "scopeId": "scope_acme",
      "name": "Status",
      "key": "status",
      "description": "Task status",
      "origin": "user",
      "maxAppliedPerTarget": 1,
      "isLocked": false,
      "createdBy": "user-1",
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ]
  ```
</ResponseExample>
